# APPLEFlushBufferRange (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class APPLEFlushBufferRange

    java.lang.Object
      org.lwjgl.opengl.APPLEFlushBufferRange

    public final class APPLEFlushBufferRange

extends java.lang.Object

Field Summary
`static int` `GL_BUFFER_FLUSHING_UNMAP_APPLE` Accepted by the <pname> parameter of BufferParameteriAPPLE and GetBufferParameteriv:
`static int` `GL_BUFFER_SERIALIZED_MODIFY_APPLE` Accepted by the <pname> parameter of BufferParameteriAPPLE and GetBufferParameteriv:

Method Summary
`static void` `glBufferParameteriAPPLE(int target, int pname, int param)`
`static void` `glFlushMappedBufferRangeAPPLE(int target, long offset, long size)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_BUFFER_SERIALIZED_MODIFY_APPLE

    public static final int GL_BUFFER_SERIALIZED_MODIFY_APPLE

  Accepted by the <pname> parameter of BufferParameteriAPPLE and GetBufferParameteriv:

  See Also:
    Constant Field Values

### GL_BUFFER_FLUSHING_UNMAP_APPLE

    public static final int GL_BUFFER_FLUSHING_UNMAP_APPLE

  Accepted by the <pname> parameter of BufferParameteriAPPLE and GetBufferParameteriv:

  See Also:
    Constant Field Values

Method Detail

### glBufferParameteriAPPLE

    public static void glBufferParameteriAPPLE(int target,
                                               int pname,
                                               int param)

### glFlushMappedBufferRangeAPPLE

    public static void glFlushMappedBufferRangeAPPLE(int target,
                                                     long offset,
                                                     long size)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.